#!/bin/sh

#initialize submodules, set-up .git/config and .gitattributes, and pre-push hook
git submodule init && git submodule update --merge
#filter for git-fat
echo -e '*.pdf filter=fat\n*.tar.xz filter=fat' > .gitattributes
#pre-push hook: git fat pull/push, submodules update
echo -e '#!/bin/sh\n./.git-fat/git-fat pull\n./.git-fat/git-fat push\ngit submodule update --merge' > .git/hooks/pre-push
chmod 755 .git/hooks/pre-push
#.gitfat file with remote on gitfat@auder.net
echo -e '[rsync]\nremote = gitfat@auder.net:~/files/edfclust' > .gitfat
#manual git-fat init: with relative path to binary
#1] remove filter if exists http://stackoverflow.com/questions/12179437/replace-3-lines-with-another-line-sed-syntax
sed -i '1N;$!N;s/\[filter "fat"\]\n.*\n.*//;P;D' .git/config
#2] place new filter
echo -e '[filter "fat"]\n\tclean = ./.git-fat/git-fat filter-clean\n\tsmudge = ./.git-fat/git-fat filter-smudge' >> .git/config
